### Hierarchy

- Http
  - HttpService
  - HttpService

## Index

### Constructors

- constructor

### Accessors

- interceptors

### Methods

- applyInterceptors
- delete
- flushInterceptors
- get
- post
- preflightGet
- put
- queryParams
- registerInterceptor
- unregisterInterceptor

### Object literals

- optionsDefault

## Constructors

### constructor

- new Http(): Http

- - Defined in http/http.ts:14

  #### Returns Http

## Accessors

### interceptors

- get interceptors(): any[]

- - Defined in http/http.ts:99

  #### Returns any[]

## Methods

### applyInterceptors

- applyInterceptors(options: any): any

- - Defined in http/http.ts:68

  #### Parameters

  - ##### options: any

  #### Returns any

### delete

- delete(url: string, object: any, options: any): void

- - Defined in http/http.ts:42

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### flushInterceptors

- flushInterceptors(): void

- - Defined in http/http.ts:83

  #### Returns void

### get

- get(url: string, options?: any): Promise<any>

- - Defined in http/http.ts:20

  #### Parameters

  - ##### url: string

  - ##### Default value options: any = {}

  #### Returns Promise<any>

### post

- post(url: string, object: any, options: any): void

- - Defined in http/http.ts:38

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### preflightGet

- preflightGet(url: string, options?: any): object

- - Defined in http/http.ts:46

  #### Parameters

  - ##### url: string

  - ##### Default value options: any = {}

  #### Returns object

### put

- put(url: string, object: any, options: any): void

- - Defined in http/http.ts:34

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### queryParams

- queryParams(params: any): string

- - Defined in http/http.ts:62

  #### Parameters

  - ##### params: any

  #### Returns string

### registerInterceptor

- registerInterceptor(obj: any): void

- - Defined in http/http.ts:87

  #### Parameters

  - ##### obj: any

  #### Returns void

### unregisterInterceptor

- unregisterInterceptor(obj: any): void

- - Defined in http/http.ts:91

  #### Parameters

  - ##### obj: any

  #### Returns void

## Object literals

### optionsDefault

optionsDefault: object

- Defined in http/http.ts:5

### cache

cache: string = "no-cache"

- Defined in http/http.ts:6

### credentials

credentials: string = "same-origin"

- Defined in http/http.ts:7

### headers

headers: object

- Defined in http/http.ts:8

#### Type declaration

### method

method: string = "GET"

- Defined in http/http.ts:10

### mode

mode: string = "same-origin"

- Defined in http/http.ts:9